Processes¶
Processes
Operation ID: getProcesses
Authorization: None
Query parameters¶
The optional f parameter indicates the output format which the server shall provide as part of the response document. The default format is GeoJSON. Allowed values: `json`, `html`, `jsonld`. Default: `json`.
Responses¶
Information about the available processes
Content type: application/json
Schema: object
Properties
| Property | Type | Required | Description |
|---|---|---|---|
processes | array of all of: object, object | Yes | — |
links | array of object | Yes | — |
Example
{
"processes": [
{
"title": "string",
"description": "string",
"keywords": [
"string"
],
"metadata": [
{
"title": "string",
"role": "string",
"href": "string"
}
],
"additionalParameters": {
"title": "string",
"role": "string",
"href": "string",
"parameters": []
},
"id": "string",
"version": "string",
"jobControlOptions": [
"sync-execute"
],
"outputTransmission": [
[
"value"
]
],
"links": [
{
"href": "string",
"rel": "service",
"type": "application/json",
"hreflang": "en",
"title": "string"
}
]
}
],
"links": [
{
"href": "string",
"rel": "service",
"type": "application/json",
"hreflang": "en",
"title": "string"
}
]
}
Unexpected error
Content type: application/json
Schema: object of any
Properties
| Property | Type | Required | Description |
|---|---|---|---|
type | string | Yes | — |
title | string | No | — |
status | integer | No | — |
detail | string | No | — |
instance | string | No | — |
Example